---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: moodle-api
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-production
    nginx.ingress.kubernetes.io/proxy-body-size: {{ moodleapi_transfer_limit }}m
    alias-managed: "true"
spec:
  ingressClassName: nginx
  rules:
  - host: jhub-{{ cluster }}-{{ moodle_id }}-api.{{ domain }}
    http:
      paths:
        - backend:
            service:
              name: moodle-api
              port:
                number: 80
          path: /
          pathType: Prefix
  {% if compat_domain is defined and compat_domain | length > 0 and compat_domain != domain %}
  - host: jhub-{{ cluster }}-{{ moodle_id }}-api.{{ compat_domain }}
    http:
      paths:
        - backend:
            service:
              name: moodle-api
              port:
                number: 80
          path: /
          pathType: Prefix
  {% endif %}

  tls:
    - hosts:
        - jhub-{{ cluster }}-{{ moodle_id }}-api.{{ domain }}
        {% if compat_domain is defined and compat_domain | length > 0 and compat_domain != domain %}
        - jhub-{{ cluster }}-{{ moodle_id }}-api.{{ compat_domain }}
        {% endif %}
      secretName: auto-cert
